// transformations
float4x4 World : register(c0);

struct VS_OUTPUT{
    float4 Pos				: POSITION;
    float4 Color			: COLOR0;
    float2 Tex				: TEXCOORD0;
};

struct VS_INPUT{
    float2 Pos				: POSITION;
    float4 Color			: COLOR0;
    float2 Tex				: TEXCOORD0;
};

VS_OUTPUT main(const VS_INPUT Input){
    float3 P = mul(float4(Input.Pos, 0, 1), (float4x3)World);

	VS_OUTPUT Out;
    Out.Pos  = float4(P, 1);
    Out.Color = Input.Color;
    Out.Tex  = Input.Tex;                                       

    return Out;
}